#include <assert.h>
#include <stdio.h>

#define TASKNAME "numbers"

const int MaxC = 10000;

bool euclid (int a, int b, int & x, int & y)
{
 bool res;
 if (a > b) return euclid (b, a, y, x);
 if (a == 0)
 {
  x = 0;
  y = 1;
  return (b == 1);
 }
 res = euclid (a, b % a, x, y);
 x -= (b / a) * y;
 return res;
}

int main (void)
{
 int a, b, x, y;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 while (scanf (" %d %d", &a, &b) != EOF)
 {
  if (euclid (a, b, x, y))
  {
   assert (x >= -MaxC && x <= MaxC);
   assert (y >= -MaxC && y <= MaxC);
   printf ("%d %d\n", x, y);
  }
  else
   printf ("0 0\n");
 }
 return 0;
}
